package com.ruoyi.project.training.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.training.mapper.TTrainingbccRegularMapper;
import com.ruoyi.project.training.domain.TTrainingbccRegular;
import com.ruoyi.project.training.service.ITTrainingbccRegularService;

/**
 * 装置培训计划Service业务层处理
 *
 * @author ssy
 * @date 2024-06-24
 */
@Service
public class TTrainingbccRegularServiceImpl implements ITTrainingbccRegularService
{
    @Autowired
    private TTrainingbccRegularMapper tTrainingbccRegularMapper;

    /**
     * 查询装置培训计划
     *
     * @param id 装置培训计划ID
     * @return 装置培训计划
     */
    @Override
    public TTrainingbccRegular selectTTrainingbccRegularById(Long id)
    {
        return tTrainingbccRegularMapper.selectTTrainingbccRegularById(id);
    }

    /**
     * 查询装置培训计划列表
     *
     * @param tTrainingbccRegular 装置培训计划
     * @return 装置培训计划
     */
    @Override
    public List<TTrainingbccRegular> selectTTrainingbccRegularList(TTrainingbccRegular tTrainingbccRegular)
    {
        return tTrainingbccRegularMapper.selectTTrainingbccRegularList(tTrainingbccRegular);
    }

    /**
     * 新增装置培训计划
     *
     * @param tTrainingbccRegular 装置培训计划
     * @return 结果
     */
    @Override
    public int insertTTrainingbccRegular(TTrainingbccRegular tTrainingbccRegular)
    {
        return tTrainingbccRegularMapper.insertTTrainingbccRegular(tTrainingbccRegular);
    }

    /**
     * 修改装置培训计划
     *
     * @param tTrainingbccRegular 装置培训计划
     * @return 结果
     */
    @Override
    public int updateTTrainingbccRegular(TTrainingbccRegular tTrainingbccRegular)
    {
        return tTrainingbccRegularMapper.updateTTrainingbccRegular(tTrainingbccRegular);
    }

    /**
     * 批量删除装置培训计划
     *
     * @param ids 需要删除的装置培训计划ID
     * @return 结果
     */
    @Override
    public int deleteTTrainingbccRegularByIds(Long[] ids)
    {
        return tTrainingbccRegularMapper.deleteTTrainingbccRegularByIds(ids);
    }

    /**
     * 删除装置培训计划信息
     *
     * @param id 装置培训计划ID
     * @return 结果
     */
    @Override
    public int deleteTTrainingbccRegularById(Long id)
    {
        return tTrainingbccRegularMapper.deleteTTrainingbccRegularById(id);
    }
}
